### Method

# GIRepository PropertyInfo get_getter

since: 2.80

#### Declaration

    GIFunctionInfo*
    gi_property_info_get_getter (
      GIPropertyInfo* info
    )

#### Description

Obtains the getter function associated with this `GIPropertyInfo`.

The setter is only available for `G_PARAM_READABLE` properties.

Available since: 2.80

#### Return value

Type: `GIFunctionInfo`

The function info, or `NULL` if not set. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.